Module java.base
Package java.lang.classfilePREVIEW

# Enum Class Signature.TypeArg.WildcardIndicator

java.lang.Object
java.lang.Enum<Signature.TypeArg.WildcardIndicatorPREVIEW>
java.lang.classfile.Signature.TypeArg.WildcardIndicator

All Implemented Interfaces:
  `Serializable`, `Comparable<Signature.TypeArg.WildcardIndicatorPREVIEW>`, `Constable`

Enclosing interface:
  `Signature.TypeArgPREVIEW`

public static enum Signature.TypeArg.WildcardIndicator extends Enum<Signature.TypeArg.WildcardIndicatorPREVIEW>
`WildcardIndicator` is a preview API of the Java platform.
Programs can only use `WildcardIndicator` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Indicator for whether a wildcard has default bound, no bound, an upper bound, or a lower bound

Since:
  22

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  default bound wildcard (empty)
  `EXTENDS`
  upper-bounded indicator `+`
  `SUPER`
  lower-bounded indicator `-`
  `UNBOUNDED`
  unbounded indicator `*`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Signature.TypeArg.WildcardIndicatorPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Signature.TypeArg.WildcardIndicatorPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final Signature.TypeArg.WildcardIndicatorPREVIEW DEFAULT
    default bound wildcard (empty)

  - ### UNBOUNDED

    public static final Signature.TypeArg.WildcardIndicatorPREVIEW UNBOUNDED
    unbounded indicator `*`

  - ### EXTENDS

    public static final Signature.TypeArg.WildcardIndicatorPREVIEW EXTENDS
    upper-bounded indicator `+`

  - ### SUPER

    public static final Signature.TypeArg.WildcardIndicatorPREVIEW SUPER
    lower-bounded indicator `-`

- ## Method Details

  - ### values

    public static Signature.TypeArg.WildcardIndicatorPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Signature.TypeArg.WildcardIndicatorPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null